#pragma once
#include <QtWidgets/QMainWindow>
#include "ui_PreClick.h"
#include <QTimer>
#include <Windows.h>

class PreClick : public QMainWindow
{
    Q_OBJECT;

public:
    PreClick(QWidget* parent = nullptr);
    ~PreClick();

public slots:
    void UpdateCursorPosition();
    void StartCursorTrack();

private:
    QTimer CursorUpdate;
    Ui::PreClickWindow ui;
};

